| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IHistogramSvc Class Referenceabstract

Definition of the IHistogramSvc interface class. More...

`#include <GaudiKernel/IHistogramSvc.h>`

Inheritance diagram for IHistogramSvc:
[legend]
Collaboration diagram for IHistogramSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IHistogramSvc, 5, 0)
| InterfaceID. More...
virtual AIDA::IHistogramFactory * | histogramFactory ()=0
| Retrieve the AIDA HistogramFactory interface. More...
virtual AIDA::IHistogram1D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX)=0
| Book histogram and register it with the histogram data store. More...
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IHistogram1D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram2D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram3D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual StatusCode | registerObject (const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (const std::string &parentPath, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
StatusCode | registerObject (const std::string &parentPath, int item, AIDA::IBaseHistogram *hObj)
virtual StatusCode | registerObject (DataObject *parentObj, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
StatusCode | registerObject (DataObject *parentObj, int item, AIDA::IBaseHistogram *hObj)
StatusCode | registerObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IBaseHistogram *hObj)
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj, const std::string &objectPath)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj, int item)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram3D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual std::ostream & | print (AIDA::IBaseHistogram *h, std::ostream &s=std::cout) const =0
virtual std::ostream & | write (AIDA::IBaseHistogram *h, std::ostream &s=std::cout) const =0
| Write (ASCII) the histogram table into the output stream. More...
virtual int | write (AIDA::IBaseHistogram *h, const char *file_name) const =0
| Write (ASCII) the histogram table into a file. More...
virtual DataObject * | createPath (const std::string &newPath)=0
virtual DataObject * | createDirectory (const std::string &parentDir, const std::string &subDir)=0
| Create a sub-directory in a directory. More...
StatusCode | registerObject (std::string_view fullPath, DataObject *pObject)
| Register object with the data store. More...
virtual StatusCode | registerObject (std::string_view parentPath, std::string_view objectPath, DataObject *pObject)=0
| Register object with the data store. More...
StatusCode | registerObject (std::string_view parentPath, int item, DataObject *pObject)
| Register object with the data store. More...
virtual StatusCode | registerObject (DataObject *parentObj, std::string_view objectPath, DataObject *pObject)=0
| Register object with the data store. More...
StatusCode | registerObject (DataObject *parentObj, int item, DataObject *pObject)
| Register object with the data store. More...
virtual StatusCode | unregisterObject (std::string_view fullPath)=0
| Unregister object from the data store. More...
StatusCode | unregisterObject (std::string_view parentPath, std::string_view objPath)
| Unregister object from the data store. More...
StatusCode | unregisterObject (std::string_view parentPath, int item)
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pObject)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pParent, std::string_view objPath)=0
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pParent, int item)
| Unregister object from the data store. More...
virtual StatusCode | retrieveObject (IRegistry *pDirectory, std::string_view path, DataObject *&pObject)=0
| Retrieve object identified by its directory entry. More...
StatusCode | retrieveObject (std::string_view fullPath, DataObject *&pObject)
| Retrieve object identified by its full path from the data store. More...
StatusCode | retrieveObject (std::string_view parentPath, std::string_view objectPath, DataObject *&pObject)
| Retrieve object from data store. More...
StatusCode | retrieveObject (std::string_view parentPath, int item, DataObject *&pObject)
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parentObj, std::string_view objectPath, DataObject *&pObject)
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parentObj, int item, DataObject *&pObject)
| Retrieve object from data store. More...
virtual StatusCode | findObject (IRegistry *pDirectory, std::string_view path, DataObject *&pObject)=0
| Find object identified by its directory entry. More...
virtual StatusCode | findObject (std::string_view fullPath, DataObject *&pObject)=0
| Find object identified by its full path in the data store. More...
StatusCode | findObject (std::string_view parentPath, std::string_view objectPath, DataObject *&pObject)
| Find object identified by its parent object and the path to the object relative to the parent. More...
StatusCode | findObject (std::string_view parentPath, int item, DataObject *&pObject)
| Find object identified by its parent object and an integer identifier in the data store. More...
StatusCode | findObject (DataObject *parentObj, std::string_view objectPath, DataObject *&pObject)
| Find object identified by its parent object and the path to the object relative to the parent. More...
StatusCode | findObject (DataObject *parentObj, int item, DataObject *&pObject)
| Find object identified by its parent object and an integer identifier in the data store. More...
Public Member Functions inherited from IDataProviderSvc
| DeclareInterfaceID (IDataProviderSvc, 4, 0)
| InterfaceID. More...
StatusCode | registerObject (std::string_view fullPath, DataObject *pObject)
| Register object with the data store. More...
virtual StatusCode | registerObject (std::string_view parentPath, std::string_view objectPath, DataObject *pObject)=0
| Register object with the data store. More...
StatusCode | registerObject (std::string_view parentPath, int item, DataObject *pObject)
| Register object with the data store. More...
virtual StatusCode | registerObject (DataObject *parentObj, std::string_view objectPath, DataObject *pObject)=0
| Register object with the data store. More...
StatusCode | registerObject (DataObject *parentObj, int item, DataObject *pObject)
| Register object with the data store. More...
virtual StatusCode | unregisterObject (std::string_view fullPath)=0
| Unregister object from the data store. More...
StatusCode | unregisterObject (std::string_view parentPath, std::string_view objPath)
| Unregister object from the data store. More...
StatusCode | unregisterObject (std::string_view parentPath, int item)
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pObject)=0
| Unregister object from the data store. More...
virtual StatusCode | unregisterObject (DataObject *pParent, std::string_view objPath)=0
| Unregister object from the data store. More...
StatusCode | unregisterObject (DataObject *pParent, int item)
| Unregister object from the data store. More...
virtual StatusCode | retrieveObject (IRegistry *pDirectory, std::string_view path, DataObject *&pObject)=0
| Retrieve object identified by its directory entry. More...
StatusCode | retrieveObject (std::string_view fullPath, DataObject *&pObject)
| Retrieve object identified by its full path from the data store. More...
StatusCode | retrieveObject (std::string_view parentPath, std::string_view objectPath, DataObject *&pObject)
| Retrieve object from data store. More...
StatusCode | retrieveObject (std::string_view parentPath, int item, DataObject *&pObject)
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parentObj, std::string_view objectPath, DataObject *&pObject)
| Retrieve object from data store. More...
StatusCode | retrieveObject (DataObject *parentObj, int item, DataObject *&pObject)
| Retrieve object from data store. More...
virtual StatusCode | findObject (IRegistry *pDirectory, std::string_view path, DataObject *&pObject)=0
| Find object identified by its directory entry. More...
virtual StatusCode | findObject (std::string_view fullPath, DataObject *&pObject)=0
| Find object identified by its full path in the data store. More...
StatusCode | findObject (std::string_view parentPath, std::string_view objectPath, DataObject *&pObject)
| Find object identified by its parent object and the path to the object relative to the parent. More...
StatusCode | findObject (std::string_view parentPath, int item, DataObject *&pObject)
| Find object identified by its parent object and an integer identifier in the data store. More...
StatusCode | findObject (DataObject *parentObj, std::string_view objectPath, DataObject *&pObject)
| Find object identified by its parent object and the path to the object relative to the parent. More...
StatusCode | findObject (DataObject *parentObj, int item, DataObject *&pObject)
| Find object identified by its parent object and an integer identifier in the data store. More...
virtual StatusCode | updateObject (IRegistry *pDirectory)=0
| Update object identified by its directory entry. More...
StatusCode | updateObject (std::string_view fullPath)
| Update object identified by its full path in the data store. More...
virtual StatusCode | updateObject (DataObject *toUpdate)=0
| Update object identified by its pointer. More...
StatusCode | updateObject (std::string_view parentPath, std::string_view updatePath)
| Update object identified by its parent's path and the path relative to the parent. More...
StatusCode | updateObject (DataObject *pParent, std::string_view updatePath)
| Update object identified by its parent's pointer and the path relative to the parent. More...
virtual StatusCode | addPreLoadItem (const DataStoreItem &item)=0
| Add an item to the preload list. More...
StatusCode | addPreLoadItem (std::string itemPath)
| Add an item to the preload list. More...
virtual StatusCode | removePreLoadItem (const DataStoreItem &item)=0
| Remove an item from the preload list. More...
StatusCode | removePreLoadItem (std::string itemPath)
| Remove an item from the preload list. More...
virtual StatusCode | resetPreLoad ()=0
| Clear the preload list. More...
virtual StatusCode | preLoad ()=0
| Load all preload items of the list. More...
virtual StatusCode | linkObject (IRegistry *from, std::string_view objPath, DataObject *toObj)=0
| Add a link to another object. More...
StatusCode | linkObject (std::string_view fromPath, std::string_view objPath, DataObject *toObj)
| Add a link to another object. More...
StatusCode | linkObject (DataObject *fromObj, std::string_view objPath, DataObject *toObj)
| Add a link to another object. More...
virtual StatusCode | linkObject (std::string_view fullPath, DataObject *toObj)=0
| Add a link to another object. More...
virtual StatusCode | unlinkObject (IRegistry *from, std::string_view objPath)=0
| Remove a link to another object. More...
StatusCode | unlinkObject (std::string_view fromPath, std::string_view objPath)
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (DataObject *fromObj, std::string_view objPath)=0
| Remove a link to another object. More...
virtual StatusCode | unlinkObject (std::string_view fullPath)=0
| Remove a link to another object. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IDataProviderSvc
enum | { SEPARATOR = '/' }
enum | Status : StatusCode::code_t { Status::IDataProviderSvc_NO_ERROR = 1, Status::DOUBL_OBJ_PATH, Status::INVALID_OBJ_PATH, Status::INVALID_ROOT, Status::INVALID_OBJECT, Status::INVALID_PARENT, Status::OBJ_NOT_LOADED, Status::NO_DATA_LOADER, Status::INVALID_OBJ_ADDR, Status::DIR_NOT_EMPTY, Status::NO_MORE_LEVELS, Status::NO_ACCESS, Status::LAST }
| Status code definitions. More...
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition of the IHistogramSvc interface class.

Author
  Pavel Binko and Anatael Cabrera

Definition at line 46 of file IHistogramSvc.h.

## Member Function Documentation

## ◆ book() [1/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

Book histogram and register it with the histogram data store.

Parameters

  fullPath | Full path to the node of the object. The basename (last part of the fullPath) has to be an integer number (otherwise conversion to HBOOK is not possible)
  dirPath | Path to parent node of the object, the directory the histogram will be stored in.
  pParent | Pointer to parent node
  relPath | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  hID | Histogram identifier (int) of the histogram
  title | Title property of the histogram
  binsX/Y | Number of bins on the axis X/Y
  lowX/Y | Lower histogram edge on the axis X/Y
  highX/Y | Upper histogram edge on the axis X/Y

## ◆ book() [2/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

## ◆ book() [3/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

## ◆ book() [4/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

## ◆ book() [5/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX
| ) |  |
| pure virtual

## ◆ book() [6/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ book() [7/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ book() [8/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ book() [9/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ book() [10/30]

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ book() [11/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ book() [12/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ book() [13/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ book() [14/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ book() [15/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ book() [16/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ book() [17/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ book() [18/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ book() [19/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ book() [20/30]

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ book() [21/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

## ◆ book() [22/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

## ◆ book() [23/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

## ◆ book() [24/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

## ◆ book() [25/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ
| ) |  |
| pure virtual

## ◆ book() [26/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

## ◆ book() [27/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

## ◆ book() [28/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

## ◆ book() [29/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

## ◆ book() [30/30]

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ
| ) |  |
| pure virtual

## ◆ bookProf() [1/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

## ◆ bookProf() [2/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

## ◆ bookProf() [3/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

## ◆ bookProf() [4/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

## ◆ bookProf() [5/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""`
| ) |  |
| pure virtual

## ◆ bookProf() [6/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

## ◆ bookProf() [7/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

## ◆ bookProf() [8/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

## ◆ bookProf() [9/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

## ◆ bookProf() [10/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"`
| ) |  |
| pure virtual

## ◆ bookProf() [11/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ bookProf() [12/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ bookProf() [13/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ bookProf() [14/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ bookProf() [15/25]

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges
| ) |  |
| pure virtual

## ◆ bookProf() [16/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ bookProf() [17/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ bookProf() [18/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ bookProf() [19/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ bookProf() [20/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY
| ) |  |
| pure virtual

## ◆ bookProf() [21/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ bookProf() [22/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ bookProf() [23/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ bookProf() [24/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ bookProf() [25/25]

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY
| ) |  |
| pure virtual

## ◆ createDirectory()

virtual DataObject* IHistogramSvc::createDirectory | ( | const std::string & | parentDir,
|  | const std::string & | subDir
| ) |  |
| pure virtual

Create a sub-directory in a directory.

Parameters

  parentDir | name of the parent directory
  subDir | to identify the histogram object in the store returns pointer to DataObject (NULL on failure)

## ◆ createPath()

virtual DataObject* IHistogramSvc::createPath | ( | const std::string & | newPath | ) |
| pure virtual

## ◆ DeclareInterfaceID()

IHistogramSvc::DeclareInterfaceID | ( | IHistogramSvc | ,
|  | 5 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ findObject() [1/46]

virtual StatusCode IDataProviderSvc::findObject

Find object identified by its full path in the data store.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL.

Parameters

  fullPath | Path name of the object.
  pObject | Pointer to the object to be connected.

Returns
  Status code indicating success or failure.

## ◆ findObject() [2/46]

StatusCode IDataProviderSvc::findObject
| inline

Find object identified by its parent object and an integer identifier in the data store.

In case the object is not present the pointer will be set to NULL.

Parameters

  parentObj | Pointer to parent node of the object.
  item | Item identifier.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 363 of file IDataProviderSvc.h.

363 {
364 return findObject( parentObj, itemToPath( item ), pObject );
365 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::findObject
virtual StatusCode findObject(const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0

## ◆ findObject() [3/46]

virtual StatusCode IDataProviderSvc::findObject

Find object identified by its directory entry.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL. ** FASTEST ACCESS TO THE DATA STORE **

Parameters

  pDirectory | Pointer to the object.
  path | String with relative path to directory. Ideally ""!
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

## ◆ findObject() [4/46]

StatusCode IDataProviderSvc::findObject
| inline

Find object identified by its parent object and the path to the object relative to the parent.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL.

Parameters

  parentPath | Path to parent node of the object.
  objectPath | Relative path name of the object.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 324 of file IDataProviderSvc.h.

324 {
325 DataObject* parent = nullptr;
326 StatusCode status = findObject( parentPath, parent );
327 return status.isSuccess() ? findObject( parent, objectPath, pObject ) : status;
328 }
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
StatusCode::isSuccess
bool isSuccess() const
Definition: StatusCode.h:267
IHistogramSvc::findObject
virtual StatusCode findObject(const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

## ◆ findObject() [5/46]

StatusCode IDataProviderSvc::findObject
| inline

Find object identified by its parent object and the path to the object relative to the parent.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL.

Parameters

  parentObj | Pointer to parent node of the object.
  objectPath | Relative path name of the object.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 351 of file IDataProviderSvc.h.

351 {
352 return findObject( parentObj ? parentObj->registry() : nullptr, objectPath, pObject );
353 }
IHistogramSvc::findObject
virtual StatusCode findObject(const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0

## ◆ findObject() [6/46]

StatusCode IDataProviderSvc::findObject
| inline

Find object identified by its parent object and an integer identifier in the data store.

In case the object is not present the pointer will be set to NULL.

Parameters

  parentPath | Path to parent node of the object.
  item | Item identifier.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 338 of file IDataProviderSvc.h.

338 {
339 return findObject( parentPath, itemToPath( item ), pObject );
340 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::findObject
virtual StatusCode findObject(const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0

## ◆ findObject() [7/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [8/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [9/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [10/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [11/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ findObject() [12/46]

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [13/46]

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [14/46]

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [15/46]

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [16/46]

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [17/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [18/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [19/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [20/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [21/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ findObject() [22/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [23/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [24/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [25/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [26/46]

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ findObject() [27/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [28/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [29/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [30/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [31/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ findObject() [32/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [33/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [34/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [35/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [36/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ findObject() [37/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [38/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [39/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [40/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [41/46]

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ findObject() [42/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [43/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ findObject() [44/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [45/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ findObject() [46/46]

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ histogramFactory()

virtual AIDA::IHistogramFactory* IHistogramSvc::histogramFactory | ( |  | ) |
| pure virtual

Retrieve the AIDA HistogramFactory interface.

## ◆ print()

virtual std::ostream& IHistogramSvc::print | ( | AIDA::IBaseHistogram * | h,
|  | std::ostream & | s = `std::cout`
| ) |  | const
| pure virtual

## ◆ registerObject() [1/12]

StatusCode IDataProviderSvc::registerObject
| inline

Register object with the data store.

Connect the object identified by its pointer to the node object identified by its pointer.

Parameters

  parentObj | Pointer to parent object.
  item | item number of the object linked to the parent
  pObject | Pointer to the object to be connected.

Returns
  Status code indicating success or failure.

Definition at line 107 of file IDataProviderSvc.h.

107 {
108 return registerObject( parentObj, itemToPath( item ), pObject );
109 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::registerObject
virtual StatusCode registerObject(const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0

## ◆ registerObject() [2/12]

StatusCode IDataProviderSvc::registerObject
| inline

Register object with the data store.

Connect the object identified by its pointer to the node object identified by its path.

Parameters

  fullPath | Path to parent node of the object.
  pObject | Pointer to the object to be registered.

Returns
  Status code indicating success or failure.

Definition at line 62 of file IDataProviderSvc.h.

62 {
63 return registerObject( nullptr, fullPath, pObject );
64 }
IHistogramSvc::registerObject
virtual StatusCode registerObject(const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0

## ◆ registerObject() [3/12]

virtual StatusCode IDataProviderSvc::registerObject

Register object with the data store.

Connect the object identified by its pointer to the parent object and the relative path of the object with respect to the parent.

Parameters

  parentObj | Pointer to parent object.
  objectPath | Path of the object relative to the parent node
  pObject | Pointer to the object to be connected.

Returns
  Status code indicating success or failure.

## ◆ registerObject() [4/12]

virtual StatusCode IDataProviderSvc::registerObject

Register object with the data store.

Connect the object identified by the path to the parent object and the path of the object itself relative to the specified parent.

Parameters

  parentPath | Path to parent node of the object.
  objectPath | Path of the object relative to the parent node
  pObject | Pointer to the object to be registered.

Returns
  Status code indicating success or failure.

## ◆ registerObject() [5/12]

StatusCode IDataProviderSvc::registerObject
| inline

Register object with the data store.

Connect the object identified by its pointer to the parent object and an integer identifier.

Parameters

  parentPath | Path to parent node of the object.
  item | item number of the object linked to the parent
  pObject | Pointer to the object to be registered.

Returns
  Status code indicating success or failure.

Definition at line 85 of file IDataProviderSvc.h.

85 {
86 return registerObject( parentPath, itemToPath( item ), pObject );
87 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::registerObject
virtual StatusCode registerObject(const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0

## ◆ registerObject() [6/12]

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | fullPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

## ◆ registerObject() [7/12]

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

## ◆ registerObject() [8/12]

StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| inline

Definition at line 256 of file IHistogramSvc.h.

256 {
257 return registerObject( parentPath, std::to_string( item ), hObj );
258 }
std::to_string
T to_string(T... args)
IHistogramSvc::registerObject
virtual StatusCode registerObject(const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0

## ◆ registerObject() [9/12]

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

## ◆ registerObject() [10/12]

virtual StatusCode IHistogramSvc::registerObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| pure virtual

## ◆ registerObject() [11/12]

StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| inline

Definition at line 265 of file IHistogramSvc.h.

265 {
266 return registerObject( parentObj, std::to_string( item ), hObj );
267 }
std::to_string
T to_string(T... args)
IHistogramSvc::registerObject
virtual StatusCode registerObject(const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0

## ◆ registerObject() [12/12]

StatusCode IHistogramSvc::registerObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj
| ) |  |
| inline

Definition at line 269 of file IHistogramSvc.h.

269 {
270 return registerObject( parentObj, std::to_string( item ), hObj );
271 }
std::to_string
T to_string(T... args)
IHistogramSvc::registerObject
virtual StatusCode registerObject(const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0

## ◆ retrieveObject() [1/46]

StatusCode IDataProviderSvc::retrieveObject
| inline

Retrieve object from data store.

The object to be retrieved is identified by the path of the parent object and the relative path with respect to the node. In case the object is not present it will be loaded and converted if possible.

Parameters

  parentPath | Path to parent node of the object.
  objectPath | Path of the object relative to the parent.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 247 of file IDataProviderSvc.h.

247 {
248 DataObject* parent = nullptr;
249 StatusCode status = retrieveObject( parentPath, parent );
250 return status.isSuccess() ? retrieveObject( parent, objectPath, pObject ) : status;
251 }
IHistogramSvc::retrieveObject
virtual StatusCode retrieveObject(IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
StatusCode::isSuccess
bool isSuccess() const
Definition: StatusCode.h:267
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

## ◆ retrieveObject() [2/46]

StatusCode IDataProviderSvc::retrieveObject
| inline

Retrieve object from data store.

The object to be retrieved is identified by the path to the parent object and an integer identifier. In case the object is not present it will be loaded and converted if possible.

Parameters

  parentPath | Path to parent node of the object.
  item | Item identifier.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 263 of file IDataProviderSvc.h.

263 {
264 return retrieveObject( parentPath, itemToPath( item ), pObject );
265 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::retrieveObject
virtual StatusCode retrieveObject(IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0

## ◆ retrieveObject() [3/46]

virtual StatusCode IDataProviderSvc::retrieveObject

Retrieve object identified by its directory entry.

The result will be returned in the second argument. In case the object is not present it will be loaded and converted if possible. ** FASTEST ACCESS TO THE DATA STORE **

Parameters

  pDirectory | Pointer to the object.
  path | String with relative path to directory. Ideally ""!
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

## ◆ retrieveObject() [4/46]

StatusCode IDataProviderSvc::retrieveObject
| inline

Retrieve object identified by its full path from the data store.

The result will be returned in the second argument. In case the object is not present it will be loaded and converted if possible.

Parameters

  fullPath | Path name of the object.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 233 of file IDataProviderSvc.h.

233 {
234 return retrieveObject( static_cast<IRegistry*>( nullptr ), fullPath, pObject );
235 }
IHistogramSvc::retrieveObject
virtual StatusCode retrieveObject(IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0

## ◆ retrieveObject() [5/46]

StatusCode IDataProviderSvc::retrieveObject
| inline

Retrieve object from data store.

The object to be retrieved is identified by the pointer to the parent object and the relative path with respect to the node. In case the object is not present it will be loaded and converted if possible.

Parameters

  parentObj | Pointer to parent node of the object.
  objectPath | Path of the object relative to the parent.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 277 of file IDataProviderSvc.h.

277 {
278 return retrieveObject( parentObj ? parentObj->registry() : nullptr, objectPath, pObject );
279 }
IHistogramSvc::retrieveObject
virtual StatusCode retrieveObject(IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0

## ◆ retrieveObject() [6/46]

StatusCode IDataProviderSvc::retrieveObject
| inline

Retrieve object from data store.

The object to be retrieved is identified by the pointer to the parent object and an integer identifier. In case the object is not present it will be loaded and converted if possible.

Parameters

  parentObj | Pointer to parent node of the object.
  item | Item identifier.
  pObject | Reference to the pointer of the object to be returned.

Returns
  Status code indicating success or failure.

Definition at line 291 of file IDataProviderSvc.h.

291 {
292 return retrieveObject( parentObj, itemToPath( item ), pObject );
293 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::retrieveObject
virtual StatusCode retrieveObject(IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0

## ◆ retrieveObject() [7/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [8/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [9/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [10/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [11/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [12/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [13/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [14/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [15/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [16/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [17/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [18/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [19/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [20/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [21/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [22/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [23/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [24/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [25/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [26/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [27/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [28/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [29/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [30/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [31/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [32/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [33/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [34/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [35/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [36/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [37/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [38/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [39/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [40/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [41/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [42/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [43/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [44/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [45/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj
| ) |  |
| pure virtual

## ◆ retrieveObject() [46/46]

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj
| ) |  |
| pure virtual

## ◆ unregisterObject() [1/9]

StatusCode IDataProviderSvc::unregisterObject
| inline

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent path name and the path of the object relative to the parent.

Parameters

  parentPath | Path name of the parent object.
  objPath | Path name of the object relative to the parent.

Returns
  Status code indicating success or failure.

Definition at line 140 of file IDataProviderSvc.h.

140 {
141 DataObject* pO = nullptr;
142 StatusCode status = findObject( parentPath, pO );
143 return status.isSuccess() ? unregisterObject( pO, objPath ) : status;
144 }
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:50
StatusCode::isSuccess
bool isSuccess() const
Definition: StatusCode.h:267
IHistogramSvc::unregisterObject
virtual StatusCode unregisterObject(AIDA::IBaseHistogram *hObj)=0
IHistogramSvc::findObject
virtual StatusCode findObject(const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

## ◆ unregisterObject() [2/9]

StatusCode IDataProviderSvc::unregisterObject
| inline

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent path name and an integer identifier of the object itself.

Parameters

  parentPath | Path name of the parent object.
  item | Integer identifier of the object item.

Returns
  Status code indicating success or failure.

Definition at line 160 of file IDataProviderSvc.h.

160 {
161 return unregisterObject( parentPath, itemToPath( item ) );
162 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::unregisterObject
virtual StatusCode unregisterObject(AIDA::IBaseHistogram *hObj)=0

## ◆ unregisterObject() [3/9]

StatusCode IDataProviderSvc::unregisterObject
| inline

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent object and an integer identifier of the object itself.

Parameters

  pParent | Pointer to parent object.
  item | Integer identifier of the object item.

Returns
  Status code indicating success or failure.

Definition at line 209 of file IDataProviderSvc.h.

209 {
210 return unregisterObject( pParent, itemToPath( item ) );
211 }
IDataProviderSvc::itemToPath
static std::string itemToPath(int item)
Helper function to convert item numbers to path strings.
Definition: IDataProviderSvc.h:47
IHistogramSvc::unregisterObject
virtual StatusCode unregisterObject(AIDA::IBaseHistogram *hObj)=0

## ◆ unregisterObject() [4/9]

virtual StatusCode IDataProviderSvc::unregisterObject

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by its pointer. The object must previously have been registered with the data store.

Parameters

  pObject | Pointer to the object.

Returns
  Status code indicating success or failure.

## ◆ unregisterObject() [5/9]

virtual StatusCode IDataProviderSvc::unregisterObject

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent object and the path of the object relative to the parent.

Parameters

  pParent | Pointer to parent object.
  objPath | Path name of the object relative to the parent.

Returns
  Status code indicating success or failure.

## ◆ unregisterObject() [6/9]

virtual StatusCode IDataProviderSvc::unregisterObject

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by full path name.

Parameters

  fullPath | Path name of the object.

Returns
  Status code indicating success or failure.

## ◆ unregisterObject() [7/9]

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj | ) |
| pure virtual

## ◆ unregisterObject() [8/9]

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj,
|  | const std::string & | objectPath
| ) |  |
| pure virtual

## ◆ unregisterObject() [9/9]

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj,
|  | int | item
| ) |  |
| pure virtual

## ◆ write() [1/2]

virtual std::ostream& IHistogramSvc::write | ( | AIDA::IBaseHistogram * | h,
|  | std::ostream & | s = `std::cout`
| ) |  | const
| pure virtual

Write (ASCII) the histogram table into the output stream.

## ◆ write() [2/2]

virtual int IHistogramSvc::write | ( | AIDA::IBaseHistogram * | h,
|  | const char * | file_name
| ) |  | const
| pure virtual

Write (ASCII) the histogram table into a file.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IHistogramSvc.h